<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>User Role</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        User Role
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> User Role</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <div class="col-md-4">
                        <h3 class="box-title">User Role</h3>
                    </div>
                    <div class="col-md-8">
                        <div class="input-group input-group-sm pull-right" style="width: 150px;">
                            <a th:href="@{/masterdata/role(user=${user.getId()})}" name="tambah" type="button" class="btn btn-block btn-default">Role List</a>
                        </div>
                    </div>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/masterdata/user/save}" th:object="${user}" method="post">
                    <div class="box-body">

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Fullname</label>

                            <div class="col-sm-10">
                                <span th:text="${employes.fullName}"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Username</label>

                            <div class="col-sm-10">
                                <span th:text="${employes.user.getUsername()}"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="role" class="col-sm-2 control-label">Roles</label>
                            <div class="col-sm-9">
                                <select class="orm-control select2" multiple="multiple" id="role" style="width: 100%;" name="role">
                                    <option th:each="data : ${roles}"
                                            th:text="${'(' + data.name + ') ' + data.description}"
                                            th:value="${data.id}"
                                            th:selected="${selectedRoleIds != null && selectedRoleIds.contains(data.id)}"> <!-- Gunakan null-safe -->
                                    </option>
                                </select>


                            </div>
                            <div class="col-sm-1">
                                <a th:href="@{/masterdata/role(user=${user.getId()})}" name="tambah" type="button" class="btn btn-block btn-default">+</a>
                            </div>
                        </div>

                        <input type="hidden" name="id" th:field="*{username}">
                        <input type="hidden" name="id" th:field="*{active}">
                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/masterdata/user}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>